## libsdl2 2.0.0+dfsg1

=== CMakeLists.txt ===
if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
  message(FATAL_ERROR "Prevented in-tree built. Please create a build directory outside of the SDL source code and call cmake from there")
endif()

cmake_minimum_required(VERSION 2.6)
project(SDL2 C)
include(CheckFunctionExists)
include(CheckLibraryExists)
include(CheckIncludeFiles)
include(CheckIncludeFile)
include(CheckSymbolExists)
include(CheckCSourceRuns)
include(CheckCCompilerFlag)
include(CheckTypeSize)
include(CheckStructHasMember)
include(CMakeDependentOption)
include(FindPkgConfig)
set(CMAKE_MODULE_PATH "${SDL2_SOURCE_DIR}/cmake")
include(${SDL2_SOURCE_DIR}/cmake/macros.cmake)
include(${SDL2_SOURCE_DIR}/cmake/sdlchecks.cmake)

# General settings
# Edit include/SDL_version.h and change the version, then:
#   SDL_MICRO_VERSION += 1;
#   SDL_INTERFACE_AGE += 1;
#   SDL_BINARY_AGE += 1;
# if any functions have been added, set SDL_INTERFACE_AGE to 0.
# if backwards compatibility has been broken,
# set SDL_BINARY_AGE and SDL_INTERFACE_AGE to 0.
set(SDL_MAJOR_VERSION 2)
set(SDL_MINOR_VERSION 0)
set(SDL_MICRO_VERSION 0)
set(SDL_INTERFACE_AGE 0)
set(SDL_BINARY_AGE 0)
set(SDL_VERSION "${SDL_MAJOR_VERSION}.${SDL_MINOR_VERSION}.${SDL_MICRO_VERSION}")

# Calculate a libtool-like version number
math(EXPR LT_CURRENT "${SDL_MICRO_VERSION} - ${SDL_INTERFACE_AGE}")
math(EXPR LT_AGE "${SDL_BINARY_AGE} - ${SDL_INTERFACE_AGE}")
set(LT_REVISION "${SDL_INTERFACE_AGE}")
set(LT_RELEASE "${SDL_MAJOR_VERSION}.${SDL_MINOR_VERSION}")
set(LT_VERSION "${LT_CURRENT}.${LT_REVISION}.${LT_AGE}")

# General settings & flags
set(LIBRARY_OUTPUT_DIRECTORY "build")
# Check for 64 or 32 bit
set(SIZEOF_VOIDP ${CMAKE_SIZEOF_VOID_P})
if(CMAKE_SIZEOF_VOID_P EQUAL 8)
  set(ARCH_64 TRUE)
  set(PROCESSOR_ARCH "x64")
else()
  set(ARCH_64 FALSE)
  set(PROCESSOR_ARCH "x86")
endif(CMAKE_SIZEOF_VOID_P EQUAL 8)
set(LIBNAME SDL2)
if(NOT LIBTYPE)
  set(LIBTYPE SHARED)
endif(NOT LIBTYPE)

# Get the platform
if(WIN32)
  if(NOT WINDOWS)
    set(WINDOWS TRUE)
  endif(NOT WINDOWS)
elseif(UNIX AND NOT APPLE)
  if(CMAKE_SYSTEM_NAME MATCHES ".*Linux")
    set(LINUX TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES "kFreeBSD.*")
    set(FREEBSD TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES "kNetBSD.*|NetBSD.*")
    set(NETBSD TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES "kOpenBSD.*|OpenBSD.*")
    set(OPENBSD TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES ".*GNU.*")
    set(GNU TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES ".*BSDI.*")
    set(BSDI TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES "DragonFly.*|FreeBSD")
    set(FREEBSD TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES "SYSV5.*")
    set(SYSV5 TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES "Solaris.*")
    set(SOLARIS TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES "HP-UX.*")
    set(HPUX TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES "AIX.*")
    set(AIX TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES "Minix.*")
    set(MINIX TRUE)
  endif()
elseif(APPLE)
  if(CMAKE_SYSTEM_NAME MATCHES ".*Darwin.*")
    set(DARWIN TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES ".*MacOS.*")
    set(MACOSX TRUE)
  endif()
  # TODO: iOS?
elseif(CMAKE_SYSTEM_NAME MATCHES "Haiku.*|BeOS.*")
  set(BEOS TRUE)
endif()

# Don't mistake osx for unix
if(UNIX AND NOT APPLE)
  set(UNIX_SYS ON)
else()
  set(UNIX_SYS OFF)
endif(UNIX AND NOT APPLE)

if(UNIX OR APPLE)
  set(UNIX_OR_MAC_SYS ON)
else()
  set(UNIX_OR_MAC_SYS OFF)
endif(UNIX OR APPLE)

# Default option knobs
if(APPLE OR ARCH_64)
  set(OPT_DEF_SSEMATH ON)
endif()
if(UNIX OR MINGW OR MSYS)
  set(OPT_DEF_LIBC ON)
endif(UNIX OR MINGW OR MSYS)

# Compiler info
if(CMAKE_COMPILER_IS_GNUCC)
  set(USE_GCC TRUE)
  set(OPT_DEF_ASM TRUE)
elseif(CMAKE_C_COMPILER_ID MATCHES "Clang")
  set(USE_CLANG TRUE)
  set(OPT_DEF_ASM TRUE)
elseif(MSVC_VERSION GREATER 1400) # VisualStudio 8.0+
  set(OPT_DEF_ASM TRUE)
  #set(CMAKE_C_FLAGS "/ZI /WX- /
else()
  set(OPT_DEF_ASM FALSE)
endif(CMAKE_COMPILER_IS_GNUCC)

# Default flags, if not set otherwise
if("$ENV{CFLAGS}" STREQUAL "")
  if(USE_GCC OR USE_CLANG)
    set(CMAKE_C_FLAGS "-g -O3")
  endif(USE_GCC OR USE_CLANG)
else("$ENV{CFLAGS}" STREQUAL "")
  set(CMAKE_C_FLAGS "$ENV{CFLAGS}")
  list(APPEND EXTRA_CFLAGS "$ENV{CFLAGS}")
endif("$ENV{CFLAGS}" STREQUAL "")
if(NOT ("$ENV{CFLAGS}" STREQUAL "")) # Hackish, but does the trick on Win32
  list(APPEND EXTRA_LDFLAGS "$ENV{LDFLAGS}")
endif(NOT ("$ENV{CFLAGS}" STREQUAL ""))

# Those are used for pkg-config and friends, so that the SDL2.pc, sdl2-config,
# etc. are created correctly.
set(SDL_LIBS "-lSDL2")
set(SDL_CFLAGS "")

if(CYGWIN)
  # We build SDL on cygwin without the UNIX emulation layer
  include_directories("-I/usr/include/mingw")
  set(CMAKE_REQUIRED_FLAGS "-mno-cygwin")
  check_c_source_compiles("int main(int argc, char **argv) {}"
    HAVE_GCC_NO_CYGWIN)
  set(CMAKE_REQUIRED_FLAGS)
  if(HAVE_GCC_NO_CYGWIN)
    list(APPEND EXTRA_LDFLAGS "-mno-cygwin")
    list(APPEND SDL_LIBS "-mno-cygwin")
  endif(HAVE_GCC_NO_CYGWIN)
  set(SDL_CFLAGS "${SDL_CFLAGS} -I/usr/include/mingw")
endif(CYGWIN)

add_definitions(-DUSING_GENERATED_CONFIG_H)
# General includes
include_directories(${SDL2_BINARY_DIR}/include ${SDL2_SOURCE_DIR}/include)

set(SDL_SUBSYSTEMS
    Atomic Audio Video Render Events Joystick Haptic Power Threads Timers
    File Loadso CPUinfo)
foreach(_SUB ${SDL_SUBSYSTEMS})
  string(TOUPPER ${_SUB} _OPT)
  option(SDL_${_OPT} "Enable the ${_SUB} subsystem" ON)
endforeach()

option_string(ASSERTIONS "Enable internal sanity checks (auto/disabled/release/enabled/paranoid)" "auto")
#set_option(DEPENDENCY_TRACKING "Use gcc -MMD -MT dependency tracking" ON)
set_option(LIBC                "Use the system C library" ${OPT_DEF_LIBC})
set_option(GCC_ATOMICS         "Use gcc builtin atomics" ${USE_GCC})
set_option(ASSEMBLY            "Enable assembly routines" ${OPT_DEF_ASM})
set_option(SSEMATH             "Allow GCC to use SSE floating point math" ${OPT_DEF_SSEMATH})
set_option(MMX                 "Use MMX assembly routines" ${OPT_DEF_ASM})
set_option(3DNOW               "Use 3Dnow! MMX assembly routines" ${OPT_DEF_ASM})
set_option(SSE                 "Use SSE assembly routines" ${OPT_DEF_ASM})
set_option(SSE2                "Use SSE2 assembly routines" ${OPT_DEF_SSEMATH})
set_option(ALTIVEC             "Use Altivec assembly routines" ${OPT_DEF_ASM})
set_option(DISKAUDIO           "Support the disk writer audio driver" ON)
set_option(DUMMYAUDIO          "Support the dummy audio driver" ON)
set_option(VIDEO_DIRECTFB      "Use DirectFB video driver" OFF)
dep_option(DIRECTFB_SHARED     "Dynamically load directfb support" ON "VIDEO_DIRECTFB" OFF)
set_option(FUSIONSOUND         "Use FusionSound audio driver" OFF)
dep_option(FUSIONSOUND_SHARED  "Dynamically load fusionsound audio support" ON "FUSIONSOUND_SHARED" OFF)
set_option(VIDEO_DUMMY         "Use dummy video driver" ON)
set_option(VIDEO_OPENGL        "Include OpenGL support" ON)
set_option(VIDEO_OPENGLES      "Include OpenGL ES support" ON)
set_option(PTHREADS            "Use POSIX threads for multi-threading" ${UNIX_OR_MAC_SYS})
dep_option(PTHREADS_SEM        "Use pthread semaphores" ON "PTHREADS" OFF)
set_option(SDL_DLOPEN          "Use dlopen for shared object loading" ON)
set_option(OSS                 "Support the OSS audio API" ${UNIX_SYS})
set_option(ALSA                "Support the ALSA audio API" ${UNIX_SYS})
dep_option(ALSA_SHARED         "Dynamically load ALSA audio support" ON "ALSA" OFF)
set_option(ESD                 "Support the Enlightened Sound Daemon" ${UNIX_SYS})
dep_option(ESD_SHARED          "Dynamically load ESD audio support" ON "ESD" OFF)
set_option(PULSEAUDIO          "Use PulseAudio" ${UNIX_SYS})
dep_option(PULSEAUDIO_SHARED   "Dynamically load PulseAudio support" ON "PULSEAUDIO" OFF)
set_option(ARTS                "Support the Analog Real Time Synthesizer" ${UNIX_SYS})
dep_option(ARTS_SHARED         "Dynamically load aRts audio support" ON "ARTS" OFF)
set_option(NAS                 "Support the NAS audio API" ${UNIX_SYS})
set_option(SNDIO               "Support the sndio audio API" ${UNIX_SYS})
set_option(RPATH               "Use an rpath when linking SDL" ${UNIX_SYS})
set_option(CLOCK_GETTIME       "Use clock_gettime() instead of gettimeofday()" OFF)
set_option(INPUT_TSLIB         "Use the Touchscreen library for input" ${UNIX_SYS})
set_option(VIDEO_X11           "Use X11 video driver" ${UNIX_SYS})
dep_option(X11_SHARED          "Dynamically load X11 support" ON "VIDEO_X11" OFF)
set(SDL_X11_OPTIONS Xcursor Xinerama XInput Xrandr Xscrnsaver XShape Xvm)
foreach(_SUB ${SDL_X11_OPTIONS})
  string(TOUPPER "VIDEO_X11_${_SUB}" _OPT)
  dep_option(${_OPT}           "Enable ${_SUB} support" ON "VIDEO_X11" OFF)
endforeach()
set_option(VIDEO_COCOA         "Use Cocoa video driver" ${APPLE})
set_option(DIRECTX             "Use DirectX for Windows audio/video" ${WINDOWS})
set_option(RENDER_D3D          "Enable the Direct3D render driver" ${WINDOWS})

# TODO: We should (should we?) respect cmake's ${BUILD_SHARED_LIBS} flag here
# The options below are for compatibility to configure's default behaviour.
set(SDL_SHARED ON CACHE BOOL "Build a shared version of the library")
set(SDL_STATIC ON CACHE BOOL "Build a static version of the library")

# General source files
file(GLOB SOURCE_FILES
  ${SDL2_SOURCE_DIR}/src/*.c
  ${SDL2_SOURCE_DIR}/src/atomic/*.c
  ${SDL2_SOURCE_DIR}/src/audio/*.c
  ${SDL2_SOURCE_DIR}/src/cpuinfo/*.c
  ${SDL2_SOURCE_DIR}/src/events/*.c
  ${SDL2_SOURCE_DIR}/src/file/*.c
  ${SDL2_SOURCE_DIR}/src/libm/*.c
  ${SDL2_SOURCE_DIR}/src/render/*.c
  ${SDL2_SOURCE_DIR}/src/render/*/*.c
  ${SDL2_SOURCE_DIR}/src/stdlib/*.c
  ${SDL2_SOURCE_DIR}/src/thread/*.c
  ${SDL2_SOURCE_DIR}/src/timer/*.c
  ${SDL2_SOURCE_DIR}/src/video/*.c)


if(ASSERTIONS STREQUAL "auto")
  # Do nada - use optimization settings to determine the assertion level
elseif(ASSERTIONS STREQUAL "disabled")
  set(SDL_DEFAULT_ASSERT_LEVEL 0)
elseif(ASSERTIONS STREQUAL "release")
  set(SDL_DEFAULT_ASSERT_LEVEL 1)
elseif(ASSERTIONS STREQUAL "enabled")
  set(SDL_DEFAULT_ASSERT_LEVEL 2)
elseif(ASSERTIONS STREQUAL "paranoid")
  set(SDL_DEFAULT_ASSERT_LEVEL 3)
else()
  message_error("unknown assertion level")
endif(ASSERTIONS STREQUAL "auto")
set(HAVE_ASSERTIONS ${ASSERTIONS})

# Compiler option evaluation
if(USE_GCC)
  if(DEPENDENCY_TRACKING)
    check_c_source_compiles("
        #if !defined(__GNUC__) || __GNUC__ < 3
        #error Dependency tracking requires GCC 3.0 or newer
        #endif
        int main(int argc, char **argv) { }" HAVE_DEPENDENCY_TRACKING)
  endif(DEPENDENCY_TRACKING)

  if(GCC_ATOMICS)
    check_c_source_compiles("int main(int argc, char **argv) {
        int a;
        void *x, *y, *z;
        __sync_lock_test_and_set(&a, 4);
        __sync_lock_test_and_set(&x, y);
        __sync_fetch_and_add(&a, 1);
        __sync_bool_compare_and_swap(&a, 5, 10);
        __sync_bool_compare_and_swap(&x, y, z); }" HAVE_GCC_ATOMICS)
    if(NOT HAVE_GCC_ATOMICS)
      check_c_source_compiles("int main(int argc, char **argv) {
          int a;
          __sync_lock_test_and_set(&a, 1);
          __sync_lock_release(&a); }" HAVE_GCC_SYNC_LOCK_TEST_AND_SET)
    endif(NOT HAVE_GCC_ATOMICS)
  endif(GCC_ATOMICS)

  set(CMAKE_REQUIRED_FLAGS "-mpreferred-stack-boundary=2")
  check_c_source_compiles("int x = 0; int main(int argc, char **argv) {}"
    HAVE_GCC_PREFERRED_STACK_BOUNDARY)
  set(CMAKE_REQUIRED_FLAGS)

  set(CMAKE_REQUIRED_FLAGS "-fvisibility=hidden -Werror")
  check_c_source_compiles("
      #if !defined(__GNUC__) || __GNUC__ < 4
      #error SDL only uses visibility attributes in GCC 4 or newer
      #endif
      int main(int argc, char **argv) {}" HAVE_GCC_FVISIBILITY)
  if(HAVE_GCC_FVISIBILITY)
    list(APPEND EXTRA_CFLAGS "-fvisibility=hidden")
  endif(HAVE_GCC_FVISIBILITY)
  set(CMAKE_REQUIRED_FLAGS)

  check_c_compiler_flag(-Wall HAVE_GCC_WALL)
  if(HAVE_GCC_WALL)
    if(CMAKE_SYSTEM_NAME MATCHES "Haiku|BeOS")
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-multichar")
    endif(CMAKE_SYSTEM_NAME MATCHES "Haiku|BeOS")
  endif(HAVE_GCC_WALL)

=== debian/changelog ===
libsdl2 (2.0.0+dfsg1-2~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports. (Closes: #722967)

 -- Felix Geyer <fgeyer@debian.org>  Thu, 19 Sep 2013 22:36:38 +0200

libsdl2 (2.0.0+dfsg1-2) unstable; urgency=low

  * Remove external_header_paths.diff, it's not needed anymore and pulls
    harmful flags into the pkg-config file. Thanks to Thibaut Girka for
    the report and analysis. (Closes: #720650)

 -- Felix Geyer <fgeyer@debian.org>  Fri, 30 Aug 2013 20:20:47 +0200

libsdl2 (2.0.0+dfsg1-1) unstable; urgency=low

  * New upstream release
  * Filter upstream tarball from binaries and unneeded cruft
    - Remove from debian/copyright files that are now filtered out when creating
      the orig.tar
  * Add build-dependency on libdbus-1-dev, to use D-Bus
  * Switch to @debian.org address
  * Bring the man page of sdl-config up to date

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 12 Aug 2013 20:45:31 +0100

libsdl2 (2.0.0~rc1-1) unstable; urgency=low

  * New upstream release candidate.
  * Filter debian/* when importing new upstream releases.
  * Bump SHLIBVER to 2.0.0~rc1.
  * Update debian/docs.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Disable directfb backend for now as it's broken and upstream
    disables it by default.
    - Drop the udeb package.
  * Drop some unused dependencies and confflags.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 02 Jun 2013 18:31:42 +0200

libsdl2 (2.0.0~20130103-1) unstable; urgency=low

  [ Manuel A. Fernandez Montecelo ]
  * debian/control:
    - Updating maintainers/permissions:
      - Add myself and Felix Geyer
    - Update Build-Depends:
      - Remove a few obsolete items
      - Add items added lately to libsdl1.2, such as libts (touch screen)
        support
    - Add "libsdl2-dbg", analog to libsdl1.2-dbg
    - Change "XC-Package-Type: udeb" to "Package-Type"
  * debian/compat: set level 9
  * debian/source/format: Set to "3.0 (quilt)"
    - Remove README.source, not needed with new format
  * debian/sdl2-config.1: Fix typo, "progams"->"programs"
  * debian/libsdl2-dev.install:
    - Remove "usr/lib/*/*.la", discouraged
    - Add man pages: "usr/share/man/man3/*"
  * debian/libsdl2-dev.manpages: add file to install local "sdl2-config.1"
  * debian/sources: Removed, possible obsolete file from long ago?
  * debian/copyright:
    - Upstream updated to zlib/libpng
    - Copyright-file format conversion to 1.0
    - Complete revamp and detailed research about copyright and licenses used,
      it's very messy but hopefully complete

  [ Felix Geyer ]
  * Simplify debian/rules by using dh(1).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sun, 27 Jan 2013 16:40:49 +0100

libsdl2 (2.0~20120220c-1) experimental; urgency=low

  * Upstream version was renamed to 2.0 (Closes: #669367).
  * New upstream snapshot (Closes: #671506).
  * This package no longer conflicts with libsdl-1.2.
  * debian/rules: add multiarch support (Closes: #669364).

  * debian/patches/fix_joystick_misc_axes.diff: fix a joystick remapping
    bug causing some axes to malfunction.
  * debian/patches/external_header_paths.diff: provide additional CFLAGS
    so that headers such as SDL_syswm.h can be included (Closes: #669363).

 -- Sam Hocevar <sho@debian.org>  Thu, 17 May 2012 19:03:59 +0200

libsdl-1.3 (1.3.0~20111204-1) experimental; urgency=low

  * Initial upload from upstream snapshot.

 -- Sam Hocevar <sho@debian.org>  Sun, 04 Dec 2011 14:35:05 +0100

=== debian/control ===
Source: libsdl2
Priority: optional
Section: libs
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Barry deFreese <bdefreese@debian.org>,
           Sam Hocevar <sho@debian.org>,
           Manuel A. Fernandez Montecelo <mafm@debian.org>,
           Felix Geyer <fgeyer@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1~),
               libasound2-dev [linux-any],
               libdbus-1-dev,
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libpulse-dev,
               libts-dev [linux-any],
               libudev-dev [linux-any],
               libusb2-dev [kfreebsd-any],
               libusbhid-dev [kfreebsd-any],
               libx11-dev,
               libxcursor-dev,
               libxext-dev,
               libxi-dev,
               libxinerama-dev,
               libxrandr-dev,
               libxss-dev,
               libxt-dev,
               libxv-dev,
               libxxf86vm-dev
Vcs-Git: git://anonscm.debian.org/pkg-sdl/packages/libsdl2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-sdl/packages/libsdl2.git
Homepage: http://www.libsdl.org/

Package: libsdl2-2.0-0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Conflicts: libsdl-1.3-0
Replaces: libsdl-1.3-0
Description: Simple DirectMedia Layer
 SDL is a library that allows programs portable low level access to
 a video framebuffer, audio output, mouse, and keyboard.
 .
 This version of SDL is compiled with X11, caca and DirectFB graphics
 drivers and OSS, ALSA, NAS and PulseAudio sound drivers.

Package: libsdl2-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libsdl2-2.0-0 (= ${binary:Version}),
         libasound2-dev [linux-any],
         libgl1-mesa-dev,
         libglu1-mesa-dev,
         libpulse-dev,
         libts-dev [linux-any],
         libudev-dev [linux-any],
         libusb2-dev [kfreebsd-any],
         libusbhid-dev [kfreebsd-any],
         libx11-dev,
         libxcursor-dev,
         libxext-dev,
         libxi-dev,
         libxinerama-dev,
         libxrandr-dev,
         libxss-dev,
         libxt-dev,
         libxv-dev,
         libxxf86vm-dev
Conflicts: libsdl-1.3-dev
Replaces: libsdl-1.3-dev
Description: Simple DirectMedia Layer development files
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This package contains the files needed to compile and link programs which
 use SDL.

Package: libsdl2-dbg
Architecture: any
Multi-Arch: same
Priority: extra
Section: debug
Depends: ${misc:Depends},
         libsdl2-2.0-0 (= ${binary:Version}),
Description: Simple DirectMedia Layer debug files
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This package contains the debug symbols for the SDL library.

=== debian/rules ===
#!/usr/bin/make -f

SHLIBVER = 2.0.0

DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

confflags = --disable-rpath --enable-sdl-dlopen --disable-loadso \
            --disable-nas --disable-esd --disable-arts \
            --disable-alsa-shared --disable-pulseaudio-shared \
            --disable-x11-shared --disable-video-directfb

ifeq ($(DEB_HOST_ARCH_CPU),powerpc)
  confflags += --disable-altivec
endif

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_auto_build:
	dh_auto_build
	tar czf debian/examples.tar.gz test

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/examples.tar.gz

override_dh_install:
	dh_install --fail-missing -XlibSDL2.la

override_dh_link:
	# to address lintian warning
	# W: libsdl2-2.0-0: dev-pkg-without-shlib-symlink usr/lib/x86_64-linux-gnu/libSDL2-2.0.so.0.0.0 usr/lib/x86_64-linux-gnu/libSDL2-2.0.so
	dh_link -plibsdl2-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so.0.0.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so
	dh_link --remaining-packages

override_dh_strip:
	dh_strip --dbg-package=libsdl2-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V"libsdl2-2.0-0 (>= $(SHLIBVER))"

=== debian/watch ===
version=3
opts=dversionmangle=s/.dfsg\d+$// \
  http://www.libsdl.org/release/SDL2-([\d.]+)\.tar\.(?:gz|bz2|xz|lzma)

## libsdl2 2.0.2%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,40 @@
 Source: libsdl2
 Priority: optional
 Section: libs
-Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders: Barry deFreese <bdefreese@debian.org>,
            Sam Hocevar <sho@debian.org>,
            Manuel A. Fernandez Montecelo <mafm@debian.org>,
            Felix Geyer <fgeyer@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9),
-               dpkg-dev (>= 1.16.1~),
+               dh-autoreconf,
                libasound2-dev [linux-any],
                libdbus-1-dev,
+               libegl1-mesa-dev [!hurd-any],
                libgl1-mesa-dev,
+               libgles2-mesa-dev [!hurd-any],
                libglu1-mesa-dev,
+               libmirclient-dev [i386 amd64 armhf],
                libpulse-dev,
                libts-dev [linux-any],
                libudev-dev [linux-any],
                libusb2-dev [kfreebsd-any],
                libusbhid-dev [kfreebsd-any],
+               libwayland-dev [linux-any],
                libx11-dev,
                libxcursor-dev,
                libxext-dev,
                libxi-dev,
                libxinerama-dev,
+               libxkbcommon-dev,
                libxrandr-dev,
                libxss-dev,
                libxt-dev,
                libxv-dev,
-               libxxf86vm-dev
+               libxxf86vm-dev,
+               pkg-config
 Vcs-Git: git://anonscm.debian.org/pkg-sdl/packages/libsdl2.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-sdl/packages/libsdl2.git
 Homepage: http://www.libsdl.org/
@@ -35,7 +42,7 @@
 Package: libsdl2-2.0-0
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libwayland-egl1, ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Conflicts: libsdl-1.3-0
 Replaces: libsdl-1.3-0
@@ -52,18 +59,24 @@
 Depends: ${misc:Depends},
          libsdl2-2.0-0 (= ${binary:Version}),
          libasound2-dev [linux-any],
+         libdbus-1-dev,
+         libegl1-mesa-dev [!hurd-any],
          libgl1-mesa-dev,
+         libgles2-mesa-dev [!hurd-any],
          libglu1-mesa-dev,
+         libmirclient-dev [i386 amd64 armhf],
          libpulse-dev,
          libts-dev [linux-any],
          libudev-dev [linux-any],
          libusb2-dev [kfreebsd-any],
          libusbhid-dev [kfreebsd-any],
+         libwayland-dev [linux-any],
          libx11-dev,
          libxcursor-dev,
          libxext-dev,
          libxi-dev,
          libxinerama-dev,
+         libxkbcommon-dev,
          libxrandr-dev,
          libxss-dev,
          libxt-dev,

## libsdl2 2.0.2+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,17 +29,20 @@
 # set SDL_BINARY_AGE and SDL_INTERFACE_AGE to 0.
 set(SDL_MAJOR_VERSION 2)
 set(SDL_MINOR_VERSION 0)
-set(SDL_MICRO_VERSION 0)
+set(SDL_MICRO_VERSION 2)
 set(SDL_INTERFACE_AGE 0)
-set(SDL_BINARY_AGE 0)
+set(SDL_BINARY_AGE 2)
 set(SDL_VERSION "${SDL_MAJOR_VERSION}.${SDL_MINOR_VERSION}.${SDL_MICRO_VERSION}")
 
 # Calculate a libtool-like version number
 math(EXPR LT_CURRENT "${SDL_MICRO_VERSION} - ${SDL_INTERFACE_AGE}")
 math(EXPR LT_AGE "${SDL_BINARY_AGE} - ${SDL_INTERFACE_AGE}")
+math(EXPR LT_MAJOR "${LT_CURRENT}- ${LT_AGE}")
 set(LT_REVISION "${SDL_INTERFACE_AGE}")
 set(LT_RELEASE "${SDL_MAJOR_VERSION}.${SDL_MINOR_VERSION}")
-set(LT_VERSION "${LT_CURRENT}.${LT_REVISION}.${LT_AGE}")
+set(LT_VERSION "${LT_MAJOR}.${LT_AGE}.${LT_REVISION}")
+
+message(STATUS "${LT_VERSION} :: ${LT_AGE} :: ${LT_REVISION} :: ${LT_CURRENT} :: ${LT_RELEASE}")
 
 # General settings & flags
 set(LIBRARY_OUTPUT_DIRECTORY "build")
@@ -51,17 +54,17 @@
 else()
   set(ARCH_64 FALSE)
   set(PROCESSOR_ARCH "x86")
-endif(CMAKE_SIZEOF_VOID_P EQUAL 8)
+endif()
 set(LIBNAME SDL2)
 if(NOT LIBTYPE)
   set(LIBTYPE SHARED)
-endif(NOT LIBTYPE)
+endif()
 
 # Get the platform
 if(WIN32)
   if(NOT WINDOWS)
     set(WINDOWS TRUE)
-  endif(NOT WINDOWS)
+  endif()
 elseif(UNIX AND NOT APPLE)
   if(CMAKE_SYSTEM_NAME MATCHES ".*Linux")
     set(LINUX TRUE)
@@ -95,8 +98,10 @@
     set(MACOSX TRUE)
   endif()
   # TODO: iOS?
-elseif(CMAKE_SYSTEM_NAME MATCHES "Haiku.*|BeOS.*")
-  set(BEOS TRUE)
+elseif(CMAKE_SYSTEM_NAME MATCHES "BeOS.*")
+  message_error("BeOS support has been removed as of SDL 2.0.2.")
+elseif(CMAKE_SYSTEM_NAME MATCHES "Haiku.*")
+  set(HAIKU TRUE)
 endif()
 
 # Don't mistake osx for unix
@@ -104,13 +109,13 @@
   set(UNIX_SYS ON)
 else()
   set(UNIX_SYS OFF)
-endif(UNIX AND NOT APPLE)
+endif()
 
 if(UNIX OR APPLE)
   set(UNIX_OR_MAC_SYS ON)
 else()
   set(UNIX_OR_MAC_SYS OFF)
-endif(UNIX OR APPLE)
+endif()
 
 # Default option knobs
 if(APPLE OR ARCH_64)
@@ -118,7 +123,7 @@
 endif()
 if(UNIX OR MINGW OR MSYS)
   set(OPT_DEF_LIBC ON)
-endif(UNIX OR MINGW OR MSYS)
+endif()
 
 # Compiler info
 if(CMAKE_COMPILER_IS_GNUCC)
@@ -132,20 +137,33 @@
   #set(CMAKE_C_FLAGS "/ZI /WX- /
 else()
   set(OPT_DEF_ASM FALSE)
-endif(CMAKE_COMPILER_IS_GNUCC)
+endif()
 
 # Default flags, if not set otherwise
 if("$ENV{CFLAGS}" STREQUAL "")
   if(USE_GCC OR USE_CLANG)
     set(CMAKE_C_FLAGS "-g -O3")
-  endif(USE_GCC OR USE_CLANG)
+  endif()
 else("$ENV{CFLAGS}" STREQUAL "")
   set(CMAKE_C_FLAGS "$ENV{CFLAGS}")
   list(APPEND EXTRA_CFLAGS "$ENV{CFLAGS}")
-endif("$ENV{CFLAGS}" STREQUAL "")
+endif()
 if(NOT ("$ENV{CFLAGS}" STREQUAL "")) # Hackish, but does the trick on Win32
   list(APPEND EXTRA_LDFLAGS "$ENV{LDFLAGS}")
-endif(NOT ("$ENV{CFLAGS}" STREQUAL ""))
+endif()
+
+if(MSVC)
+  option(FORCE_STATIC_VCRT "Force /MT for static VC runtimes" OFF)
+  if(FORCE_STATIC_VCRT)
+    foreach(flag_var
+        CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
+        CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO)
+      if(${flag_var} MATCHES "/MD")
+        string(REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}")
+      endif()
+    endforeach(flag_var)
+  endif()
+endif()
 
 # Those are used for pkg-config and friends, so that the SDL2.pc, sdl2-config,
 # etc. are created correctly.
@@ -162,9 +180,9 @@
   if(HAVE_GCC_NO_CYGWIN)
     list(APPEND EXTRA_LDFLAGS "-mno-cygwin")
     list(APPEND SDL_LIBS "-mno-cygwin")
-  endif(HAVE_GCC_NO_CYGWIN)
+  endif()
   set(SDL_CFLAGS "${SDL_CFLAGS} -I/usr/include/mingw")
-endif(CYGWIN)
+endif()
 
 add_definitions(-DUSING_GENERATED_CONFIG_H)
 # General includes
@@ -172,7 +190,7 @@
 
 set(SDL_SUBSYSTEMS
     Atomic Audio Video Render Events Joystick Haptic Power Threads Timers
-    File Loadso CPUinfo)
+    File Loadso CPUinfo Filesystem)
 foreach(_SUB ${SDL_SUBSYSTEMS})
   string(TOUPPER ${_SUB} _OPT)
   option(SDL_${_OPT} "Enable the ${_SUB} subsystem" ON)
@@ -211,11 +229,14 @@
 set_option(ARTS                "Support the Analog Real Time Synthesizer" ${UNIX_SYS})
 dep_option(ARTS_SHARED         "Dynamically load aRts audio support" ON "ARTS" OFF)
 set_option(NAS                 "Support the NAS audio API" ${UNIX_SYS})
+set_option(NAS_SHARED          "Dynamically load NAS audio API" ${UNIX_SYS})
 set_option(SNDIO               "Support the sndio audio API" ${UNIX_SYS})
 set_option(RPATH               "Use an rpath when linking SDL" ${UNIX_SYS})
 set_option(CLOCK_GETTIME       "Use clock_gettime() instead of gettimeofday()" OFF)
 set_option(INPUT_TSLIB         "Use the Touchscreen library for input" ${UNIX_SYS})
 set_option(VIDEO_X11           "Use X11 video driver" ${UNIX_SYS})
+set_option(VIDEO_WAYLAND       "Use Wayland video driver" OFF) #${UNIX_SYS})
+set_option(VIDEO_MIR           "Use Mir video driver" OFF) #${UNIX_SYS})
 dep_option(X11_SHARED          "Dynamically load X11 support" ON "VIDEO_X11" OFF)
 set(SDL_X11_OPTIONS Xcursor Xinerama XInput Xrandr Xscrnsaver XShape Xvm)
 foreach(_SUB ${SDL_X11_OPTIONS})
@@ -237,6 +258,7 @@
   ${SDL2_SOURCE_DIR}/src/atomic/*.c
   ${SDL2_SOURCE_DIR}/src/audio/*.c
   ${SDL2_SOURCE_DIR}/src/cpuinfo/*.c
+  ${SDL2_SOURCE_DIR}/src/dynapi/*.c
   ${SDL2_SOURCE_DIR}/src/events/*.c
   ${SDL2_SOURCE_DIR}/src/file/*.c
   ${SDL2_SOURCE_DIR}/src/libm/*.c
@@ -260,18 +282,18 @@
   set(SDL_DEFAULT_ASSERT_LEVEL 3)
 else()
   message_error("unknown assertion level")
-endif(ASSERTIONS STREQUAL "auto")
+endif()
 set(HAVE_ASSERTIONS ${ASSERTIONS})
 
 # Compiler option evaluation
-if(USE_GCC)
+if(USE_GCC OR USE_CLANG)
   if(DEPENDENCY_TRACKING)
     check_c_source_compiles("
         #if !defined(__GNUC__) || __GNUC__ < 3
         #error Dependency tracking requires GCC 3.0 or newer
         #endif
         int main(int argc, char **argv) { }" HAVE_DEPENDENCY_TRACKING)
-  endif(DEPENDENCY_TRACKING)
+  endif()
 
   if(GCC_ATOMICS)
     check_c_source_compiles("int main(int argc, char **argv) {
@@ -287,28 +309,11 @@
           int a;
           __sync_lock_test_and_set(&a, 1);
           __sync_lock_release(&a); }" HAVE_GCC_SYNC_LOCK_TEST_AND_SET)
-    endif(NOT HAVE_GCC_ATOMICS)
-  endif(GCC_ATOMICS)
+    endif()
+  endif()
 
   set(CMAKE_REQUIRED_FLAGS "-mpreferred-stack-boundary=2")
   check_c_source_compiles("int x = 0; int main(int argc, char **argv) {}"
     HAVE_GCC_PREFERRED_STACK_BOUNDARY)
   set(CMAKE_REQUIRED_FLAGS)
 
-  set(CMAKE_REQUIRED_FLAGS "-fvisibility=hidden -Werror")
-  check_c_source_compiles("
-      #if !defined(__GNUC__) || __GNUC__ < 4
-      #error SDL only uses visibility attributes in GCC 4 or newer
-      #endif
-      int main(int argc, char **argv) {}" HAVE_GCC_FVISIBILITY)
-  if(HAVE_GCC_FVISIBILITY)
-    list(APPEND EXTRA_CFLAGS "-fvisibility=hidden")
-  endif(HAVE_GCC_FVISIBILITY)
-  set(CMAKE_REQUIRED_FLAGS)
-
-  check_c_compiler_flag(-Wall HAVE_GCC_WALL)
-  if(HAVE_GCC_WALL)
-    if(CMAKE_SYSTEM_NAME MATCHES "Haiku|BeOS")
-      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-multichar")
-    endif(CMAKE_SYSTEM_NAME MATCHES "Haiku|BeOS")
-  endif(HAVE_GCC_WALL)

=== debian/changelog ===
libsdl2 (2.0.2+dfsg1-3ubuntu1) trusty; urgency=medium

  * Enable Mir video support (LP: #1295389).

 -- Brandon Schaefer <brandon.schaefer@canonical.com>  Thu, 10 Apr 2014 01:15:21 +0100

libsdl2 (2.0.2+dfsg1-3) unstable; urgency=medium

  * Actually change Build-Depends libegl1-mesa-dev to be conditionally
    [!hurd-any].  It was applied to libgl1-mesa-dev by mistake in -2.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 19 Mar 2014 20:22:29 +0000

libsdl2 (2.0.2+dfsg1-2) unstable; urgency=medium

  * Conditional dependencies libegl1-mesa-dev [!hurd-any],
    libgles2-mesa-dev [!hurd-any] and libwayland-dev [linux-any], they do
    not seem to support these kernels at the moment

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 18 Mar 2014 20:17:10 +0000

libsdl2 (2.0.2+dfsg1-1) unstable; urgency=low

  * New upstream release
    - Remove patch applied upstream: fix_ftbfs_kfreebsd.diff
    - Add support for Wayland, including build-depends for libegl1-mesa-dev,
      libxkbcommon-dev and libwayland-dev.  Thanks Franz Schrober for the
      request and the help to enable it.  (Closes: #714482)
    - Add support for OpenGLES, including build-depends for libgles2-mesa-dev

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 15 Mar 2014 00:22:48 +0000

libsdl2 (2.0.1+dfsg1-3) unstable; urgency=medium

  * Use "dh_autoreconf" to support new architectures

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 09 Mar 2014 01:58:11 +0000

libsdl2 (2.0.1+dfsg1-2) unstable; urgency=medium

  * Fix FTBFS on kFreeBSD.
    - Add fix_ftbfs_kfreebsd.diff to extend a __FreeBSD__ check to
      __FreeBSD_kernel__.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 05 Jan 2014 13:42:59 +0100

libsdl2 (2.0.1+dfsg1-1) unstable; urgency=medium

  * New upstream release (Closes: #728974)
    - Remove patch applied upstream:
      bug-723797-false_positives_in_mouse_wheel_code.patch
  * Bump Standards-Version to 3.9.5, no changes needed.
  
  [ Felix Geyer ]
  * Import upstream gpg key for uscan to verify the orig tarball.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 28 Dec 2013 12:31:19 +0000

libsdl2 (2.0.0+dfsg1-3) unstable; urgency=low

  * Build-Depends on pkg-config
  * Apply patch accepted upstream to work around a false-positive in the
    X11 mouse wheel code (Closes: #723797).  Thanks Darren Salt for the
    report and the fix.
  * Review and removal of old patches not applied in SDL2, virtually of
    them applied upstream, or rejected as invalid for good reason, or
    don't apply any more (code/functionality removed upstream).  I
    forwarded and documented the remaining patches.
    - 001_autogen_autotools_fix.diff
    - 020_libcaca_new_api.diff
    - 030_pulseaudio_enable.diff
    - 040_propagate_pic_to_nasm.diff
    - 050_altivec_detection.diff
    - 060_disable_ipod.diff
    - 205_lock_keys.diff
    - 205_x11_keysym_fix.diff
    - 206_gcc4_compilation_fix.diff
    - 209_alsa_priority.diff
    - 214_missing_mmx_blit.diff
    - 215_kfreebsd_gnu.diff
    - 216_page_size.diff
    - 217_x11_keytounicode.diff
    - 218_double_free.diff
    - 218_joystick_memmove.diff
    - 219_pulseaudio_crackles.diff
    - 220_std_cld.diff
    - 221_check_SDL_NOKBD_environment_variable.diff
    - 222_joystick_crash.diff
    - 310_fixmouseclicks
    - 310_segfault_noGLX.diff
    - 320_activate_xrandr_on_default.diff
    - 320_disappearingcursor.diff

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 20 Oct 2013 00:58:48 +0100

=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
 Package: libsdl2-2.0-0
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libwayland-egl1, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Conflicts: libsdl-1.3-0
 Replaces: libsdl-1.3-0

=== debian/rules ===
#!/usr/bin/make -f

SHLIBVER = 2.0.0

DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
MIR_SUPPORTED_ARCH := i386 amd64 armhf

confflags = --disable-rpath --enable-sdl-dlopen --disable-loadso \
            --disable-nas --disable-esd --disable-arts \
            --disable-alsa-shared --disable-pulseaudio-shared \
            --disable-x11-shared --disable-video-directfb \
            --enable-video-opengles \
            --enable-video-wayland --disable-wayland-shared

ifeq ($(DEB_HOST_ARCH_CPU),powerpc)
  confflags += --disable-altivec
endif

# disable Wayland on non-Linux, they do not support other kernels at the moment
ifeq (hurd,$(findstring hurd,$(DEB_HOST_ARCH_CPU)))
  confflags += --disable-video-wayland
endif
ifeq (kfreefsd,$(findstring kfreebsd,$(DEB_HOST_ARCH_CPU)))
  confflags += --disable-video-wayland
endif

# disable OpenGLES on Hurd, it does not support it at the moment
ifeq (hurd,$(findstring hurd,$(DEB_HOST_ARCH_CPU)))
  confflags += --disable--video-opengles
endif

ifneq (,$(filter $(MIR_SUPPORTED_ARCH),$(DEB_HOST_ARCH)))
  confflags += --enable-video-mir --enable-mir-shared
endif

%:
	dh $@ --with autoreconf --parallel

override_dh_autoreconf:
        # aclocal needs to include in specific order, and/or it seems that
        # doesn't try to find .m4 files in /usr/share/aclocal at all.  Updates
        # to both .m4 files and ltmain.sh (aclocal and libtoolize) are necessary
        # to support new architectures aarch64 (arm64) and powerpc64le, and this
        # seems the more straight way to achieve it.
        #
        # An alternative would be to just build-depend on libesd0-dev,
        # libasound2-dev and libltdl-dev to provide the files "esd.m4 alsa.m4
        # ltdl.m4" in /usr/share/aclocal, and not use the local "acinclude" dir
        # at all, but this pull even more dependencies, and unneeded ones.
        #
        # Another equivalent alternative, but more verbose:
        #
        # ACLOCAL="cat acinclude/esd.m4 acinclude/alsa.m4 acinclude/ltdl.m4 \
        #           /usr/share/aclocal/libtool.m4 \
        #           /usr/share/aclocal/ltoptions.m4 \
        #           /usr/share/aclocal/ltversion.m4 \
        #           /usr/share/aclocal/ltsugar.m4 >> aclocal.m4; aclocal"
        #          LIBTOOLIZE="libtoolize -f -i" dh_autoreconf --as-needed
        #          autoreconf -- -I acinclude -f -i
	AUTOHEADER=true ACLOCAL="aclocal --force --install -I /usr/share/aclocal/ -I acinclude" LIBTOOLIZE="libtoolize -fi" dh_autoreconf --as-needed
        # To verify that it worked, grep should find these strings:
        #
        #rgrep -i aarch64 .
        #rgrep -r powerpc64le .

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_auto_build:
	dh_auto_build
	tar czf debian/examples.tar.gz test

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/examples.tar.gz

override_dh_install:
	dh_install --fail-missing -XlibSDL2.la

override_dh_link:
        # to address lintian warning
        # W: libsdl2-2.0-0: dev-pkg-without-shlib-symlink usr/lib/x86_64-linux-gnu/libSDL2-2.0.so.0.0.0 usr/lib/x86_64-linux-gnu/libSDL2-2.0.so
	dh_link -plibsdl2-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so.0.2.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so
	dh_link --remaining-packages

override_dh_strip:
	dh_strip --dbg-package=libsdl2-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V"libsdl2-2.0-0 (>= $(SHLIBVER))"

=== debian/watch ===
version=3
opts=dversionmangle=s/.dfsg\d+$//,pgpsigurlmangle=s/$/.sig/ \
  http://www.libsdl.org/release/SDL2-([\d.]+)\.tar\.(?:gz|bz2|xz|lzma)
